service: tikal-grade

variablesResolutionMode: 20210326

useDotenv: true

plugins:
  - serverless-dotenv-plugin

provider:
  name: aws
  region: us-east-1
  runtime: nodejs14.x
  lambdaHashingVersion: 20201221
  apiGateway:
    restApiId: ${env:AWS_REST_API_ID_${opt:stage}}
    restApiRootResourceId: ${env:AWS_REST_API_ROOT_RESOURCE_ID_${opt:stage}}
  vpc:
    securityGroupIds:
      - sg-0d826b59b6296c6b9
    subnetIds:
      - subnet-8dc1d183
      - subnet-58ec8e69
      - subnet-629bc504
      - subnet-86663dd9
      - subnet-e96145c8
      - subnet-ec1df3a0
  environment:
    APP_MODE: ${opt:stage}
    GATEWAY_BASE_URL: ${env:GATEWAY_BASE_URL_${opt:stage}}
    INTERNAL_API_KEY: ${env:INTERNAL_API_KEY_${opt:stage}}
    DB_URL: ${env:DB_URL_${opt:stage}}

package:
  patterns:
    - 'dist/index.js'
    - '!src/**'
    - '!node_modules/**'
    - '!package.json'
    - '!package-lock.json'
    - '!README.md'
    - '!tsconfig.json'
    - '!tslint.json'
    - '!webpack.config.js'
    - '!.editorconfig'
    - '!.env.example'
    - '!.gitattributes'
    - '!.gitlab-ci.yml'
    - '!.npmrc'

functions:
  api:
    handler: dist/index.handle
    timeout: 30
    events:
      - http:
          path: /grade/{proxy+}
          method: ANY
          cors: true